org.apache.olingo.odata2.jpa.processor.api.model.mapping

## Class JPARelationshipMapType

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.api.model.mapping.JPARelationshipMapType

-     public class JPARelationshipMapType
      extends Object

  The default name for EDM navigation property is derived from JPA relationship name. This can be overriden using JPARelationshipMapType.

  Java class for JPARelationshipMapType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="JPARelationshipMapType">
       <complexContent>
       <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       <sequence>
       <element name="JPARelationship" maxOccurs="unbounded" minOccurs="0">
       <complexType>
       <simpleContent>
       <extension base="<http://www.w3.org/2001/XMLSchema>string">
       <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
       </extension>
       </simpleContent>
       </complexType>
       </element>
       </sequence>
       </restriction>
       </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JPARelationshipMapType.JPARelationship` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<JPARelationshipMapType.JPARelationship>` | `jpaRelationship`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPARelationshipMapType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<JPARelationshipMapType.JPARelationship>` | `getJPARelationship()` Gets the value of the jpaRelationship property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jpaRelationship

          protected List<JPARelationshipMapType.JPARelationship> jpaRelationship

  - ### Constructor Detail

    - #### JPARelationshipMapType

          public JPARelationshipMapType()

  - ### Method Detail

    - #### getJPARelationship

          public List<JPARelationshipMapType.JPARelationship> getJPARelationship()

      Gets the value of the jpaRelationship property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the jpaRelationship property.

      For example, to add a new item, do as follows:

           getJPARelationship().add(newItem);

      Objects of the following type(s) are allowed in the list `JPARelationshipMapType.JPARelationship`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.